- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_collection_t

# mongoc_collection_drop_with_opts()

## Synopsis

    bool
    mongoc_collection_drop_with_opts (mongoc_collection_t *collection,
                                      bson_t *opts,
                                      bson_error_t *error);

## Parameters

- `collection`: A mongoc_collection_t.
- `opts`: A `bson_t` or `NULL`.
- `error`: An optional location for a bson_error_t or `NULL`.

## Description

This function requests that a `collection` be dropped, including all indexes associated with the `collection`.

If no write concern is provided in `opts`, the collection’s write concern is used.

## Errors

Errors are propagated via the `error` parameter.

## Returns

Returns true if the collection was successfully dropped. Returns `false` and sets `error` if there are invalid arguments or a server or network error.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.